Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

mgf1.h
Go to the documentation of this file.
1 /*
2 * MGF1
3 * (C) 1999-2007,2014 Jack Lloyd
4 *
5 * Botan is released under the Simplified BSD License (see license.txt)
6 */
7
8 #ifndef BOTAN_MGF1_H__
9 #define BOTAN_MGF1_H__
10
11 #include <botan/hash.h>
12
13 namespace Botan {
14
15 /**
16 * MGF1 from PKCS #1 v2.0
17 * @param hash hash function to use
18 * @param in input buffer
19 * @param in_len size of the input buffer in bytes
20 * @param out output buffer
21 * @param out_len size of the output buffer in bytes
22 */
23 void BOTAN_DLL mgf1_mask(HashFunction& hash,
24 const uint8_t in[], size_t in_len,
25 uint8_t out[], size_t out_len);
26
27 }
28
29 #endif
Botan
Definition: alg_id.cpp:13
Botan::mgf1_mask
void mgf1_mask(HashFunction &hash, const uint8_t in[], size_t in_len, uint8_t out[], size_t out_len)
Definition: mgf1.cpp:14
hash
MechanismType hash
Definition: p11_mechanism.cpp:63